# Class BasicTreeUI.TreeExpansionHandler

java.lang.Object
javax.swing.plaf.basic.BasicTreeUI.TreeExpansionHandler

All Implemented Interfaces:
  `EventListener, TreeExpansionListener`

Enclosing class:
  `BasicTreeUI`

public class BasicTreeUI.TreeExpansionHandler extends Object implements TreeExpansionListener
Updates the TreeState in response to nodes expanding/collapsing.

## Constructor Summary

Constructors
Constructor
Description
`TreeExpansionHandler()`
Constructs a `TreeExpansionHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`treeCollapsed(TreeExpansionEvent event)`
Called whenever an item in the tree has been collapsed.
`void`
`treeExpanded(TreeExpansionEvent event)`
Called whenever an item in the tree has been expanded.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### TreeExpansionHandler

public TreeExpansionHandler()
Constructs a `TreeExpansionHandler`.

## Method Details

### treeExpanded

public void treeExpanded(TreeExpansionEvent event)
Called whenever an item in the tree has been expanded.

Specified by:
  `treeExpanded` in interface `TreeExpansionListener`
Parameters:
  `event` - a `TreeExpansionEvent` containing a `TreePath` object for the expanded node

### treeCollapsed

public void treeCollapsed(TreeExpansionEvent event)
Called whenever an item in the tree has been collapsed.

Specified by:
  `treeCollapsed` in interface `TreeExpansionListener`
Parameters:
  `event` - a `TreeExpansionEvent` containing a `TreePath` object for the collapsed node